<?php
/*
 * Public Domain
 */
if (!defined('NOT_ACCESSED_DIRECTLY')) exit('This file may not be directly accessed');

//By creating a db_update script with revisions inside, you can create database tables
//for your module when it is installed.

//All tables in the CMS start with the prefix DB_NAME_PREFIX. All module tables must
//also start with this prefix, however to avoid a clash of names, they must use an
//additional prefix generated by the CMS.
//This prefix will be available in a constant defined for you. For example, if your
//class name was "example_hello_world", your constant would be called:
	//EXAMPLE_HELLO_WORLD_PREFIX
//and you would use:
	//DB_NAME_PREFIX. EXAMPLE_HELLO_WORLD_PREFIX
//as a prefix for your tables in your PHP code, or:
	//[[DB_NAME_PREFIX]][[EXAMPLE_HELLO_WORLD_PREFIX]]
//in your Storekeeper files or your revisions.

//If you create a table, you should always use a "DROP TABLE IF EXISTS" statement and
//then a "CREATE TABLE" statement. You should never use a "CREATE TABLE IF NOT EXISTS"
//statement as this can cause problems in some cases when restoring an old database
//backup file.


//Create a new table that mirrors the animals table, and stores extra information
//on classification.
revision(1
, <<<_sql
	DROP TABLE IF EXISTS
	`[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_5_PREFIX]]animals_classification`
_sql

, <<<_sql
	CREATE TABLE
	`[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_5_PREFIX]]animals_classification` (
		`animal_id` int(10) unsigned NOT NULL,
		`classification` enum('carnivore', 'herbivore', 'omnivore') NULL,
		PRIMARY KEY (`animal_id`),
		KEY (`classification`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8
_sql

);